/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CECILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.filter;

import java.io.IOException;
import javax.servlet.FilterChain;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.springframework.stereotype.Component;
import org.springframework.web.filter.OncePerRequestFilter;

/**
 * Because Spring sucks.
 * 
 * @author BEAUVAIS ANTOINE
 */
@Component
public class CORSFilter extends OncePerRequestFilter {

    @Override
    protected void doFilterInternal(HttpServletRequest hsr, HttpServletResponse hsr1, FilterChain fc) throws ServletException, IOException {
        hsr1.addHeader("Access-Control-Allow-Origin", "*");
        fc.doFilter(hsr, hsr1);
    }
    
}
